Skip to content
Dashboard
Theme
Theme

List Pipes connections

GET /v1/pipes/connections: List Pipes connections.

View Markdown

GET /v1/pipes/connections

Scope
pipes:read
Auth
Secret key (sk_…)
Since
1.1
  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • organization string

  • user_id string

    The end user ID you passed when connecting.

    max length 256

  • provider string

    A provider slug.

    max length 64

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/pipes/connections" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"object": "pipe_connection",
"id": "pipe_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"provider": "okta",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"user_id": "user_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"state": "pending",
"scopes": [
"organizations:read"
],
"last_error": "saml_signature_invalid",
"connected_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}